
/* FONTS Great Vibes, Pacifico, Dancing Script, Playfair Display*/
@import url("https://fonts.googleapis.com/css2?family=Great+Vibes&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Cormorant:ital,wght@0,300..700;1,300..700&display=swap");

/* VARIABLES */
:root {
    --c-dark: #212529;
    --c-white: #fff;
    --c-brand: #fff0f1;
    --c-brand-light: #fff0f1;
    --c-brand-rgb: 0, 0, 0;
    --c-brand-r: 199, 156, 74;
    --c-body: #000000;
    --font-base: "Cormorant", serif;
    --box-shadow: 0px 15px 25px rgba(0,0,0,0.08);
    --transition: all 0.5s ease;
    --padding-container: 100px 0;
}

/* RESET & HELPERS */
html, body, header {
    font-family: "Cormorant", serif;
    font-weight: 400;
    font-style: normal;
    color: var(--c-body);
    overflow-x: hidden;
    margin: 0 0;
    padding: 0 0;
    width: 100%;
    background-color: #fff0f1;
}

.letraN {
    font-family: "Cormorant", serif;
    font-weight: 400;
    font-style: normal;
}

::-webkit-scrollbar {
    display: none;
}

.fondoclaro {
    background-color: #fff;
}

.fondobeige {
    background-color: #fff0f1;
}

.container {
    width: 100%;
    margin-left: auto;
  margin-right: auto;
    overflow-x: hidden;
}

.container-texto {
    margin-left: 7%;
    margin-right: 7%;
}

.hero {
    width: 100%;
    position: relative;
    display: grid;
    overflow-x: hidden;
    margin-bottom: 10%;
}

.contenedor-imagen {
    background-color: #fff;
    position: relative;
    display: inline-block;
}

.service {
    margin-left: 5%;
    margin-right: 5%;
    background-color: #fff;
}

.texto-encima {
    position: absolute;
    top: 10%;
    left: 8%;
    right: 8%;
    bottom: 10%;
}

.texto-encima2 {
    position: absolute;
    top: 6%;
    left: 8%;
    right: 8%;
    bottom: 10%;
}

.letraCursiva {
    padding-top: 1rem;
    font-family: "Great Vibes", cursive;
    font-style: light;
    color: #000000;
}

.modal {
    width: 100%;
}

.card {
    border: 0;
}

@keyframes palpitar {
    0% {
      transform: rotate(0deg) scale(1);
    }
    50% {
      transform: rotate(0deg) scale(1.5);
    }
    100% {
      transform: rotate(0deg) scale(1);
    }
  }


.margensobre {
    position: relative;
    margin-top: 45%;
    margin-bottom: 25%;
}

.letra {
    margin-top: 50%;
    margin-right: 15%;
}
.sello {
    width: 50%;
    position: relative;
    z-index: 10;
    animation: palpitar 2s linear infinite alternate;
    margin-bottom: 1%;
}

.white{
    background-color:#fff;
    color:#000;
}

.fondo {
    overflow: hidden;
    overflow-y: hidden;
    overflow-x: hidden;
}

h1, h2, h3,h4, h5, h6,
.h1, .h2, .h3, .h4, .h5, .h6 {
    font-weight: 400;
    color: var(--c-dark);
}

a {
    text-decoration: none;
    color: var(--c-brand);
    transition: var(--transition);
}


a:hover {
    color: var(--c-brand-light);
}

img {
    overflow-x: hidden;
    max-width: 100%;
    height: auto;
}

.img_final {
    width: 100%;
}

.section-padding {
    padding-top: 80px;
    padding-bottom: 80px;
    margin: 0 0;
    overflow-x: hidden;
}

.section-padding2 {
    padding-top: 60px;
    padding-bottom: 100px;
    margin: 0 0;
    overflow-x: hidden;
}

.theme-shadow {
    box-shadow: var(--box-shadow);
}

.sombra {
    border-radius: 8px;
    box-shadow: 0 8px 8px 0 rgba(0, 0, 0, 0.15);
}

/* IMAGE ZOOM #004581*/
.image-zoom {
    position: relative;
    background-size: contain;
}

.image-zoom-wrapper {
    overflow-x: hidden;
    position: relative;
    margin-left: auto;
    margin-right: auto;
}

.image-zoom-wrapper img{
     transition: var(--transition);
}

.image-zoom:hover .image-zoom-wrapper img {
    transform: scale(1.1);
}

/* NAVBAR */
.navbar {
    box-shadow: #F9F5F2;
    margin-right: 0px !important;
    margin: 0px !important;
}

.navbar-nav .nav-link {
    font-weight: 500;
    color: #ffffff;
}

.navbar-nav .nav-link.active {
    color: #ffffff;
}

.navlogo {
    width: 220px;
    height: 50px;
}

.padding-texto {
    padding-top: 25%;
    padding-bottom: 0;
}


/* BTN fff0f1 */
.btn {
    font-weight: 400;
    font-size: 20px;
    text-transform: uppercase;
    border-radius: 5px;
    padding: 6px 20px;
    width:250px;
}

.btn-brand {
    border-color: #f788ac;
    color: black;
}

.btn-brand:hover {
    border-color: #f788ac;
    color: #f788ac;
}

.btn-rosa {
    border-color: #f788ac;
    background-color: #f788ac;
    color: black;
}

.btn-rosa:hover {
    border-color: #f788ac;
    color: #f788ac;
}

.btn-redes {
    border: 0;
    padding: 50px 50px;
    background: none;
    outline: none;
}

.fondosobre {
    background-color: #E7E7E7;
}

.texto {
    margin-top: 10rem;
}

/* HERO */
#inicio {
    background: linear-gradient(rgba(var(--c-brand-rgb), 0.0), rgba(var(--c-brand-rgb), 0.0)), url(../img/1.jpg);
    background-position: center;
    background-size: cover;    
}

#fecha {
    background: linear-gradient(rgba(var(--c-brand-rgb), 0.0), rgba(var(--c-brand-rgb), 0.0)), url(../img/2.jpg);
    background-position: center;
    background-size: cover;   
}
#contacto {
    background: linear-gradient(rgba(var(--c-brand-rgb), 0.0), rgba(var(--c-brand-rgb), 0.0)), url(../img/3.jpg);
    background-position: center;
    background-size: cover;   
}
#lugar {
    background: linear-gradient(rgba(var(--c-brand-rgb), 0.0), rgba(var(--c-brand-rgb), 0.0)), url(../img/4.jpg);
    background-position: center;
    background-size: cover;   
}
#palabras {
    background: linear-gradient(rgba(var(--c-brand-rgb), 0.0), rgba(var(--c-brand-rgb), 0.0)), url(../img/5.jpg);
    background-position: center;
    background-size: cover;   
}

#end {
    background: linear-gradient(rgba(var(--c-brand-rgb), 0.0), rgba(var(--c-brand-rgb), 0.0)), url(../img/save.jpeg);
    background-position: center;
    background-size: cover;
}

#cuenta {
    background: linear-gradient(rgba(var(--c-brand-rgb), 0.0), rgba(var(--c-brand-rgb), 0.0)), url(../img/fondopapel2.jpg);
    background-position: center;
    background-size: cover;
}

.img-recepcion {
    background-position: center;
    background-size: cover;
}

.img-codigo {
    background-position: center;
    background-size: cover;
}


/* SECTION TITLE */
.section-titleP {
    margin-top: 70%;
    font-family: "Meow Script", cursive;
    size: 600px;
}

.section-texto {
    padding-top: 10%;
    padding-bottom: 10%;
}



.titleDorado {
    padding-top: 1rem;
    font-family:"Great Vibes", cursive;
  font-style: light;
    color: #000000;
}

.img-tamaño {
    width: 100%;
    height: 100%;
}

.text-white {
    font-family: "Cormorant", serif;
    font-style: light;
    color: #ffffff;
}

.text-black {
    font-family: "Cormorant", serif;
    font-style: light;
    color: #000000;
}

.titleBlanco {
    font-family:"Great Vibes", cursive;
  font-style: light;
}

.tcontador {
    margin-bottom: 10%;
    margin-top: 10%;
}


.section-titleF {
    font-family: "Cormorant", serif;
    font-style: light;
    color: #ffffff;
}

.titleBlancoEnd {
    margin-top: 20%;
    font-family:"Great Vibes", cursive;
  font-style: light;
    color: #ffffff;
}

#audio{
    display: none
    }

/*MUSIC*/
.music-player-container{
    height: 30%;
    width: 100%;
    border-radius: 10px;
    margin-right: auto;
    margin-left: 35%;
    display: flex;
    position: fixed;
    margin-top: 100%;
    justify-content: end;
    align-items: end;
    flex-direction: column;
    z-index: 5;
}

.title-music-container{
    width: 100%;
    height: 20%;
    width: fit-content;
    color: white;
    margin-right: auto;
    margin-left: 10%;
}


.controls-music-container{
    width: 80%;
    height: fit-content;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}

.progress-song-container{
    margin-top: 0.05rem;
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}

.progress-bar{
    height: 1px;
    border-radius: 2px;
    width: 100%;
    background-color: rgb(255, 255, 255);
    position: relative;
}

.progress{
    position: absolute;
    height: 100%;
    width: 0%;
    border-radius: 1px;
    background-color: rgb(0, 0, 0);
}

.time-container{
    width: 100%;
    display: flex;
    justify-content: space-between;
    align-items: center;
    color: rgb(255, 255, 255);
    font-size: 12px;
}


.main-song-controls{
    height: 30%;
    width: 100%;
    margin-top: 0.3rem;
    display: flex;
    justify-content: space-around;
    align-items: center;
}

.iconM{
    height: 75%;
    width: auto;
    opacity: 1;
    cursor: pointer;
}

.iconM:hover{
    opacity: 1;
}

audio{
    display: none;
}

/* PORTFOLIO */
.carousel-inner {
    overflow-x: hidden;
}

.porfolio {
    overflow-x: hidden;
}

.portfolio-item .iconbox {    
    overflow-x: hidden;
    background-color: #fff0f1;
    color: white;
    position: absolute;
    top: 40%;
    left: 50%;
    transform: translate(-50%, -50%);
    opacity: 0;
}

.portfolio-item:hover .iconbox {
    opacity: 1;
    top: 50%;
}

/* ICONBOX */

.iconredes {
    width: 100px;
    height: 100px;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    font-size: 50px;
    flex: none;
}

.iconbox {
    width: 70px;
    height: 70px;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    background: #ffffff;
    color: var(--c-brand);
    font-size: 34px;
    flex: none;
}

/* timeline */

.timeline {
    position: relative;
    max-width: 1200px;
    margin: 100px auto;
}

.timeline::after {
    content: '';
    position: absolute;
    width: 4px;
    height: 100%;
    top: 0;
    left: 50%;
    margin-left: -1.3px;
    z-index: -1;
    animation: moveline 6s linear forwards;
}


@keyframes moveline {
    0% {
        height: 0;
    }
    100% {
        height: 100%;
    }
}

.content-time {
    padding: 10px 40px;
    position: relative;
    width: 50%;
    border-radius: 6px;
}

.content-time img {
    position: absolute;
    width: 20px;
    right: -20px;
    top: 32px;
    z-index: 10;
}

.text-box {
    padding: 10px 0px;
    border-radius: 6px;
    font-size: 10px;
    color: #000000;
}

.left-content {
    left: 0;
    text-align: center;
}

.right-content {
    left: 50%;
    text-align: center;
}

.right-content img {
    left: -10px;
}

.left-content img {
    right: -10px;
}



/* PORTFOLIO */

.carousel-indicators [data-bs-target]{
    border-radius: 50%;
    width: 15px;
    height: 15px;
}

.carousel .carousel-indicators button {
   width: 20px;
   height: 20px;
   border-radius: 100%;
 }

.portfolio-item .iconbox {
    background-color: #fff0f1;
    color: white;
    position: absolute;
    top: 40%;
    left: 50%;
    transform: translate(-50%, -50%);
    opacity: 0;
}

.portfolio-item:hover .iconbox {
    opacity: 1;
    top: 50%;
}

/* FOOTER */
footer {
    width: 100%;
    overflow-x: hidden;
    padding-top: 30px;
}


footer li,
footer p,
footer a,
footer h5 {
    color: rgba(8, 8, 8, 0.7);
}

footer ul {
    list-style: none;
    padding: 0;
}

footer .line {
    width: 170px;
    height: 4px;
    background-color: var(--c-brand);
    margin-top: 12px;
    margin-bottom: 24px;
}

.social-icons a {
    width: 50px;
    height: 50px;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    background-color: rgba(255,255,255,0.1);
    border-radius: 100px;
}

.social-icons a:hover {
    background-color: var(--c-brand);
    color: white;
}

.img_f {
    height: 100%;
    width: 100%;
    margin: 0;
    overflow-x: hidden;
}

.ovh {
    overflow-x: hidden;
}

/* Media queries */
@media (max-width:1600px){
.sello {
    width: 300px;
    position: relative;
    z-index: 10;
    animation: palpitar 2s linear infinite alternate;
    margin-bottom: 1%;
}

.margensobre {
    position: relative;
    margin-top: 10%;
    margin-bottom: 25%;
}

.img1 {
    height: 290px;
}

.img2 {
    height: 500px;
}

.img3 {
    width: 100%;
    height: 400px;
}

.img4 {
    height: 900px;
}

.img5 {
    height: 900px;
}

.img6 {
    height: 630px;
}

.img7 {
    height: 900px;
}

.img8 {
    height: 610px;
}

    }

@media (max-width:1400px){
    .sello {
    width: 300px;
    position: relative;
    z-index: 10;
    animation: palpitar 2s linear infinite alternate;
    margin-bottom: 1%;
}
.margensobre {
    position: relative;
    margin-top: 10%;
    margin-bottom: 25%;
}


    ::-webkit-scrollbar {
        display: none;
    }
    .body {
        overflow-x: hidden;
    }
    .img_f {
        width: 40%;
        margin: 0 auto;
        overflow-x: hidden;
    }
    .section-titleF {
        font-family: "Cormorant", serif;
        font-style: light;
        color: #ffffff;
    }
    .section-titleF {
        margin-bottom: 40%;
    }
    .titleBlancoEnd {
        margin-top: 5%;
    }
}

@media (max-width:1280px){
    
    .sello {
    width: 200px;
    position: relative;
    z-index: 10;
    animation: palpitar 2s linear infinite alternate;
    margin-bottom: 1%;
}
.margensobre {
    position: relative;
    margin-top: 40%;
    margin-bottom: 25%;
}


    .img_f {
        width: 100%;
        margin: 0;
        overflow-x: hidden;
    }
    .titleBlancoEnd {
        margin-top: 40%;
        font-family:"Great Vibes", cursive;
      font-style: light;
        color: #ffffff;
    }
    ::-webkit-scrollbar {
        display: none;
    }
    .body {
        overflow-x: hidden;
    }
    .img {
        height: 100%;
        width: 100%;
    }
    .section-titleF {
        font-family: "Cormorant", serif;
        font-style: light;
        color: #ffffff;
    }
}

@media (max-width:1080px){
    
        .sello {
    width: 200px;
    position: relative;
    z-index: 10;
    animation: palpitar 2s linear infinite alternate;
    margin-bottom: 1%;
}
.margensobre {
    position: relative;
    margin-top: 40%;
    margin-bottom: 25%;
}

    .img_f {
        width: 100%;
        margin: 0;
        overflow-x: hidden;
    }
    .titleBlancoEnd {
        margin-top: 40%;
        font-family:"Great Vibes", cursive;
      font-style: light;
        color: #ffffff;
    }
    ::-webkit-scrollbar {
        display: none;
    }
    .body {
        overflow-x: hidden;
    }
    .img {
        height: 100%;
        width: 100%;
    }
    .section-titleF {
        font-family: "Cormorant", serif;
        font-style: light;
        color: #ffffff;
    }
}

